Knowledge
Manage contact knowledge
POST
/
contact
/
knowledge
/
add
Manage contact knowledge
curl --request POST \
--url https://shortext.ny-corp.io/api/contact/knowledge/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "This contact has a negative balance of 10000 USD",
"agent": "AGI-XLWY6P",
"contact": {
"identifier": "1234567890",
"profile": {
"lastname": "<string>",
"firstname": "<string>",
"email": "<string>"
}
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://shortext.ny-corp.io/api/contact/knowledge/add",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'This contact has a negative balance of 10000 USD',
'agent' => 'AGI-XLWY6P',
'contact' => [
'identifier' => '1234567890',
'profile' => [
'lastname' => '<string>',
'firstname' => '<string>',
'email' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'This contact has a negative balance of 10000 USD',
agent: 'AGI-XLWY6P',
contact: {
identifier: '1234567890',
profile: {lastname: '<string>', firstname: '<string>', email: '<string>'}
}
})
};
fetch('https://shortext.ny-corp.io/api/contact/knowledge/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://shortext.ny-corp.io/api/contact/knowledge/add"
payload = {
"content": "This contact has a negative balance of 10000 USD",
"agent": "AGI-XLWY6P",
"contact": {
"identifier": "1234567890",
"profile": {
"lastname": "<string>",
"firstname": "<string>",
"email": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"created_at": "2026-10-03T00:04:48.000000Z"
}
]Autorisations
Company API key, sent as Authorization: Bearer <key>. Create it in the dashboard (Developer > API Keys) with the permissions the integration needs.
Corps
application/json
Add contact knowledge when ever you want to provide to an agent specific knowledge periodically base on your CRM
Réponse
200 - application/json
The data
⌘I
Manage contact knowledge
curl --request POST \
--url https://shortext.ny-corp.io/api/contact/knowledge/add \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "This contact has a negative balance of 10000 USD",
"agent": "AGI-XLWY6P",
"contact": {
"identifier": "1234567890",
"profile": {
"lastname": "<string>",
"firstname": "<string>",
"email": "<string>"
}
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://shortext.ny-corp.io/api/contact/knowledge/add",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'This contact has a negative balance of 10000 USD',
'agent' => 'AGI-XLWY6P',
'contact' => [
'identifier' => '1234567890',
'profile' => [
'lastname' => '<string>',
'firstname' => '<string>',
'email' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'This contact has a negative balance of 10000 USD',
agent: 'AGI-XLWY6P',
contact: {
identifier: '1234567890',
profile: {lastname: '<string>', firstname: '<string>', email: '<string>'}
}
})
};
fetch('https://shortext.ny-corp.io/api/contact/knowledge/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://shortext.ny-corp.io/api/contact/knowledge/add"
payload = {
"content": "This contact has a negative balance of 10000 USD",
"agent": "AGI-XLWY6P",
"contact": {
"identifier": "1234567890",
"profile": {
"lastname": "<string>",
"firstname": "<string>",
"email": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"created_at": "2026-10-03T00:04:48.000000Z"
}
]